Bug 1317470 - CVE-2016-2184 kernel: Kernel panic on invalid USB device descriptor (snd_usb_audio driver) [fedora-all]
Summary: CVE-2016-2184 kernel: Kernel panic on invalid USB device descriptor (snd_usb_...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 23
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-2184
TreeView+ depends on / blocked
 
Reported: 2016-03-14 10:26 UTC by Adam Mariš
Modified: 2016-04-08 20:21 UTC (History)
9 users (show)

Fixed In Version: kernel-4.5.0-302.fc24 kernel-4.4.6-301.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-02 00:46:17 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-03-14 10:26:43 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-03-14 10:26:57 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1317012,1317470

# Description of your update
notes=Security fix for CVE-2016-2184

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Josh Boyer 2016-03-18 14:13:30 UTC
Fixed in Fedora git on all branches.

Comment 4 Vladis Dronov 2016-03-30 19:49:44 UTC
Hello, Josh!

Actually, there are 3 commits related: 0f886ca1, 902eb7fd and 447d6275f (many thanks to Takashi Iwai), all in upstream already, the missing is 902eb7fd.

Unfortunately, these do not fix all the bugs in [snd-usb-audio], please, see the research and the patch for remaining (i hope) double-free bug in:

http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106316.html
http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106317.html

or https://bugzilla.redhat.com/show_bug.cgi?id=1283358#c6

Comment 5 Fedora Update System 2016-03-31 04:05:16 UTC
kernel-4.5.0-302.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81fd1b03aa

Comment 6 Josh Boyer 2016-03-31 12:17:30 UTC
(In reply to Vladis Dronov from comment #4)
> Hello, Josh!
> 
> Actually, there are 3 commits related: 0f886ca1, 902eb7fd and 447d6275f
> (many thanks to Takashi Iwai), all in upstream already, the missing is
> 902eb7fd.

Yes, but that was simply a cleanup patch without any functional change.  That's why it wasn't brought in originally.

> Unfortunately, these do not fix all the bugs in [snd-usb-audio], please, see
> the research and the patch for remaining (i hope) double-free bug in:
> 
> http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106316.html
> http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106317.html
> 
> or https://bugzilla.redhat.com/show_bug.cgi?id=1283358#c6

Takashi's patch here:

http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106350.html

seems sufficient, yes?  Though as he noted, it does require the cleanup commit for backporting, but only to make it easier to apply.

Comment 7 Vladis Dronov 2016-03-31 12:40:51 UTC
> Takashi's patch here: seems sufficient, yes?

heh, no.
there are still double-free bugs even with this patch. please, see:

http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106359.html

Comment 8 Josh Boyer 2016-03-31 12:47:13 UTC
(In reply to Vladis Dronov from comment #7)
> > Takashi's patch here: seems sufficient, yes?
> 
> heh, no.
> there are still double-free bugs even with this patch. please, see:
> 
> http://mailman.alsa-project.org/pipermail/alsa-devel/2016-March/106359.html

Good catch.  I'll keep an eye on the thread and bring in whatever patch Takashi says he'll merge.  Thanks!

Comment 9 Fedora Update System 2016-03-31 15:58:58 UTC
kernel-4.4.6-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 10 Fedora Update System 2016-03-31 16:02:39 UTC
kernel-4.4.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 11 Josh Boyer 2016-03-31 18:39:55 UTC
Added the accepted upstream patch to all Fedora branches.

Comment 12 Fedora Update System 2016-04-01 01:56:03 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ed5110c4bb

Comment 13 Fedora Update System 2016-04-01 15:23:21 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e602c0e5e

Comment 14 Fedora Update System 2016-04-01 20:56:40 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81fd1b03aa

Comment 15 Fedora Update System 2016-04-02 00:42:20 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-04-02 15:50:08 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-04-08 15:53:56 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-04-08 20:21:40 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.